﻿Imports System.Data.SqlClient

Public Class EventManager
    Public Function FilteredData(ByVal start As DateTime, ByVal end_ As DateTime) As DataTable
        Dim da As SqlDataAdapter = New SqlDataAdapter("SELECT * FROM [event] WHERE NOT (([eventend] <= @start) OR ([eventstart] >= @end))", ConfigurationManager.ConnectionStrings("daypilot").ConnectionString)
        da.SelectCommand.Parameters.AddWithValue("start", start)
        da.SelectCommand.Parameters.AddWithValue("end", end_)

        Dim dt = New DataTable
        da.Fill(dt)
        Return dt

    End Function

    Public Sub EventCreate(ByVal start As DateTime, ByVal end_ As DateTime, ByVal text As String)
        Using con As New SqlConnection(ConfigurationManager.ConnectionStrings("daypilot").ConnectionString)
            con.Open()

            Dim cmd As SqlCommand = New SqlCommand("INSERT INTO [event] (eventstart, eventend, name) VALUES (@start, @end, @name)", con)
            cmd.Parameters.AddWithValue("start", start)
            cmd.Parameters.AddWithValue("end", end_)
            cmd.Parameters.AddWithValue("name", text)
            cmd.ExecuteNonQuery()

        End Using
    End Sub

    Public Sub EventMove(ByVal id As String, ByVal start As DateTime, ByVal end_ As DateTime)
        Using con As New SqlConnection(ConfigurationManager.ConnectionStrings("daypilot").ConnectionString)
            con.Open()

            Dim cmd As SqlCommand = New SqlCommand("UPDATE [event] SET [eventstart] = @start, [eventend] = @end WHERE [id] = @id", con)
            cmd.Parameters.AddWithValue("id", id)
            cmd.Parameters.AddWithValue("start", start)
            cmd.Parameters.AddWithValue("end", end_)
            cmd.ExecuteNonQuery()

        End Using
    End Sub
End Class
